> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/es/powershell-commands/update-dsgatewayfarm.md).

# Update-DSGatewayFarm

### Sinopsis

Actualizar una granja de puertas de enlace

### Sintaxis

#### \_\_AllParameterSets

```
Update-DSGatewayFarm [-GatewayFarmID] <guid> [[-Name] <string>] [[-MemberGateways] <Gateway[]>]
 [[-Description] <string>] [[-VaultRoleOverride] <GatewayVaultRoleOverride>]
 [[-CustomVaultAccess] <guid[]>] [-IsDefault <bool>] [<CommonParameters>]
```

### Descripción

Actualiza las propiedades y la pertenencia de una granja de puertas de enlace. Se requiere el módulo de Devolutions Gateway. Las puertas de enlace utilizadas como miembros también se actualizarán al ejecutar este cmdlet. El campo «Members» de una granja de puertas de enlace es un valor calculado; establecerlo manualmente en un nuevo valor no cambia nada por sí mismo. Para modificar los miembros de una granja de puertas de enlace, utilice este cmdlet.

### Ejemplos

#### Ejemplo 1

```powershell
PS C:\> $farm = Get-DSGateway -GatewayID $farmId
PS C:\> $newGateway = Get-DSGateway -GatewayID $newGatewayId
PS C:\> $updatedMembers = $farm.Members + $newGateway
PS C:\> Update-DSGatewayFarm -GatewayFarmID $farmId -MemberGateways $updatedMembers
```

Añada una nueva puerta de enlace a una granja existente agregándola al array de miembros.

#### Ejemplo 2

```powershell
PS C:\> $farm = Get-DSGateway -GatewayID $farmId
PS C:\> $updatedMembers = $farm.Members | Where-Object { $_.Id -ne $gatewayToRemoveId }
PS C:\> Update-DSGatewayFarm -GatewayFarmID $farmId -MemberGateways $updatedMembers
```

Elimine una puerta de enlace de una granja filtrándola del array de miembros.

#### Ejemplo 3

```powershell
PS C:\> $gateway1 = Get-DSGateway -GatewayID $gateway1Id
PS C:\> $gateway2 = Get-DSGateway -GatewayID $gateway2Id
PS C:\> $gateway3 = Get-DSGateway -GatewayID $gateway3Id
PS C:\> Update-DSGatewayFarm -GatewayFarmID $farmId -MemberGateways $gateway1, $gateway2, $gateway3 -Name "Updated Farm" -Description "Reconfigured farm" -IsDefault $true
```

Sustituya todos los miembros de la granja por un nuevo conjunto y actualice el nombre y la descripción de la granja.

#### Ejemplo 4

```powershell
PS C:\> $vaultIds = @($vault1Id, $vault2Id, $vault3Id)
PS C:\> Update-DSGatewayFarm -GatewayFarmID $farmId -VaultRoleOverride Custom -CustomVaultAccess $vaultIds
```

Actualice una granja de puertas de enlace para conceder acceso únicamente a bóvedas específicas.

### Parámetros

#### -CustomVaultAccess

Lista de roles de acceso a bóvedas.

```yaml
Type: System.Guid[]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 5
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Description

Descripción de la granja de puertas de enlace.

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 3
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -GatewayFarmID

ID de la granja de puertas de enlace que se va a actualizar.

```yaml
Type: System.Guid
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 0
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -IsDefault

Establecer como la puerta de enlace predeterminada.

```yaml
Type: System.Boolean
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -MemberGateways

Array de puertas de enlace que se incluirán como miembros de la granja (los miembros anteriores serán sustituidos).

```yaml
Type: Devolutions.Server.ApiWrapper.Models.Gateway.Gateway[]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 2
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Name

Nombre de la granja de puertas de enlace.

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 1
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -VaultRoleOverride

A qué bóvedas concede acceso la granja de puertas de enlace (si es personalizado, especifíquelo con CustomVaultAccess).

```yaml
Type: Devolutions.Server.Models.Shared.Models.Gateway.GatewayVaultRoleOverride
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 4
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Este cmdlet admite los parámetros comunes: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction y -WarningVariable. Para más información, consulte [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Notas

Para más información, escriba "Get-Help Update-DSGatewayFarm -detailed". Para información técnica, escriba "Get-Help Update-DSGatewayFarm -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell/es/powershell-commands/update-dsgatewayfarm.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
